Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Interface FillStrategy<T>

All Known Implementing Classes:
  FillStrategy.Array, FillStrategy.Assign, FillStrategy.Bean, FillStrategy.Factory, FillStrategy.Map, FillStrategy.NewInstance

    public interface FillStrategy<T>

A strategy to fill data into a `ResultShape`.
Available strategy implementations can fill by invoking constructor, setting array elements, direct assignment, invoking put(key,value)-style method on Map or factory-constructed instance.

Since:
  2.0.0
Author:
  Pinaki Poddar

Nested Class Summary
`static class` | `FillStrategy.Array<T>` Fills an array of given type.
`static class` | `FillStrategy.Assign<T>` Populate an instance by simply assigning the 0-th element of the input values.
`static class` | `FillStrategy.Bean<T>` Create and populate a bean by invoking setter methods identified by alias name with each array element value as argument.
`static class` | `FillStrategy.Factory<T>` Populate an instance created by given factory using a given put(key,value) method.
`static class` | `FillStrategy.Map<T>` Construct and populate an instance by invoking the put method with each alias as key and element of the given array of values.
`static class` | `FillStrategy.NewInstance<T>` Construct and populate an instance by the given constructor and arguments.

Field Summary
`static Localizer` | `_loc`

Method Summary
`T` | `fill(Object[] data, Class<?>[] types, String[] aliases)`

Field Detail

### _loc

    static final Localizer _loc

Method Detail

### fill

    T fill(Object[] data,
           Class<?>[] types,
           String[] aliases)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.